Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MetaMethodIndex.Header

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

    class MetaMethodIndex.Header

Field Summary
`Class` | `cls`
`int` | `clsHashCode31`
`Entry` | `head`
`Class` | `subclass`

Constructor Summary
`MetaMethodIndex.Header(Class cls)`
`MetaMethodIndex.Header(Class cls, Class subclass)`

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### cls

    Class cls

### clsHashCode31

    int clsHashCode31

### head

    Entry head

### subclass

    Class subclass

Constructor Detail

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(Class cls)

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(Class cls, Class subclass)

Copyright © 2003-2009 The Codehaus. All rights reserved.